curl --request POST \
--url https://api.sandbox.busha.so/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "johninu@busha.co",
"has_accepted_terms": true,
"type": "individual",
"country_id": "NG",
"phone": "+2348012345678",
"birth_date": "24-12-1990",
"first_name": "John",
"last_name": "Doe",
"address": {
"street": "123 Main Street",
"city": "Lagos",
"state": "Lagos",
"postal_code": "100211",
"country": "NG"
}
}
'{
"status": "success",
"message": "message for success",
"data": {
"first_name": "John",
"last_name": "John",
"id": "bus_123456789",
"business_id": "bus_123456789",
"email": "bCnW7@example.com",
"status": "active",
"country_id": "NG",
"type": "individual",
"phone": "+2348012345678",
"address": {
"country_id": "NG",
"address_line_1": "RT Lawal",
"city": "Lekki",
"state": "Lagos",
"county": "Mombasa",
"address_line_2": "",
"province": "province",
"postal_code": "12345"
},
"display_currency": "BTC",
"deposit": true,
"payout": true,
"has_accepted_terms_of_service": true,
"level": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"middle_name": "Smith",
"kyc_status": "pending",
"rejection_reasons": [
"<string>"
],
"requirements_due": [
"<string>"
],
"future_requirements_due": [
"<string>"
],
"beneficial_owners": [
{
"id": "<string>",
"email": "bCnW7@example.com"
}
]
}
}Customers
Create a new customer
Creates a new customer entry in the system. The required fields depend on the type of customer being created (‘individual’ or ‘business’).
POST
/
v1
/
customers
curl --request POST \
--url https://api.sandbox.busha.so/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "johninu@busha.co",
"has_accepted_terms": true,
"type": "individual",
"country_id": "NG",
"phone": "+2348012345678",
"birth_date": "24-12-1990",
"first_name": "John",
"last_name": "Doe",
"address": {
"street": "123 Main Street",
"city": "Lagos",
"state": "Lagos",
"postal_code": "100211",
"country": "NG"
}
}
'{
"status": "success",
"message": "message for success",
"data": {
"first_name": "John",
"last_name": "John",
"id": "bus_123456789",
"business_id": "bus_123456789",
"email": "bCnW7@example.com",
"status": "active",
"country_id": "NG",
"type": "individual",
"phone": "+2348012345678",
"address": {
"country_id": "NG",
"address_line_1": "RT Lawal",
"city": "Lekki",
"state": "Lagos",
"county": "Mombasa",
"address_line_2": "",
"province": "province",
"postal_code": "12345"
},
"display_currency": "BTC",
"deposit": true,
"payout": true,
"has_accepted_terms_of_service": true,
"level": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"middle_name": "Smith",
"kyc_status": "pending",
"rejection_reasons": [
"<string>"
],
"requirements_due": [
"<string>"
],
"future_requirements_due": [
"<string>"
],
"beneficial_owners": [
{
"id": "<string>",
"email": "bCnW7@example.com"
}
]
}
}Body
application/json
Customer details needed to create a new customer.
- Option 1
- Option 2
Individual name requirements